import fly from '@/utils/request'
//扫码或者根据关键词查询
export function searchAsset(data) {
	return fly.get('/asset/asset/search',data).then(res=>res)
}
//获取全部的存放地点
export function getAllPlace() {
	return fly.get('/asset/place/all').then(res=>res)
}
//借用设备
export function borrowAsset(borrowDate,returnDate,data) {
	return fly.post(`/asset/borrow/save/${borrowDate}/${returnDate}`,data).then(res=>res)
}
//归还设备
export function returnAsset(barCode){
	return fly.put(`/asset/borrow/return/${barCode}`).then(res=>res)
}
//获取借用设备记录
export function getBorrowList(data){
	return fly.get('/asset/borrow/recordList',data).then(res=>res)
}
//获取已归还的记录详细
export function getReturnDetail(id){
	return fly.get(`/asset/borrow/record/${id}`).then(res=>res)
}
//统计借用设备记录
export function sumBorrow(data){
	return fly.get('/asset/borrow/recordCount',{status:data}).then(res=>res)
}
//故障上报
export function reportFault(data){
	return fly.post('/asset/fault/save',data).then(res=>res)
}
//管理员故障处理列表
export function getFaultReport(){
	return fly.get('/asset/fault/list').then(res=>res)
}
//管理员:获取故障详细，处理故障
export function getFaultDetail(id){
	return fly.get(`/asset/fault/${id}`).then(res=>res)
}
//管理：故障处理
export function handleFaultReport(data){
	return fly.put('/asset/fault/process',data).then(res=>res)
}